package com.starbuds.server.service.feed.dao;

import com.starbuds.server.common.pojo.feed.FeedActivityInfoItemVO;
import com.starbuds.server.common.pojo.feed.FeedActivityInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author: ruomu
 * @date: 2021/11/26 created
 */
@Mapper
@Repository
public interface FeedActivityInfoDAO {

    FeedActivityInfoVO getInfo(@Param("infoId") Long infoId);

    List<FeedActivityInfoItemVO> getItems(@Param("infoId") Long infoId);


    List<FeedActivityInfoVO> getMainPageFeedActivityInfoList();
}
